Page MenuHomePhabricator

QA testing for GlobalPreferences
Closed, ResolvedPublic

Description

GlobalPrefs is on beta cluster, yay! We should do some QA testing to make sure nothing is (obviously) broken. Some things that I can think of:

  • Making sure the UI looks fine for all preferences for all deployed skins.
  • Making sure it looks fine for RTL wikis (Beta cluster has a he wiki install)
  • Making sure local overrides work as expected
  • Making sure that it works as expected for extensions present on one wiki but not another (not sure which ones for beta cluster)
  • Making sure resetting all prefs work as expected

Feel free to expand this list.

Event Timeline

Niharika triaged this task as Medium priority.Feb 15 2018, 7:39 PM
Niharika created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 15 2018, 7:39 PM
Niharika claimed this task.Feb 15 2018, 9:32 PM
Niharika moved this task from Ready to In Development on the Community-Tech-Sprint board.
Niharika updated the task description. (Show Details)Feb 15 2018, 10:37 PM
  • Backlink still appears. Patch for it was merged before deployment but wasn't backported for it, I think.
  • Signature doesn't seem to be globalize-able. Intentional?
  • Muting feature textbox appears broken T187408: Muting feature UI appears broken with GlobalPrefs
  • Pending changes - can we line up the radio boxes for the two options like on standard Preferences:
    • Here's the Global prefs version:
  • In Search > Search completion, the checkbox does not line up to the "Set...".
  • A few issues in Beta features tab - the mocks for the beta features don't line up. They do in normal prefs.
    vs
    • Also, the "Advanced Search Interface" shouldn't wrap.
  • The beta feature checkboxes are themselves not clickable
  • Unstructured discussion beta feature has a grey unclickable checkbox. (probably related to above issue)

{{Ongoing}}

  • Signatures can't be globalized because the can contain local-wiki specific stuff, and e.g. l10n namespace names aren't global.
  • For a bunch of these other items, I can see we're going to go further down the HTML table emulation route! :-) Which is fine, and we did a bit of the work for that earlier, but ended up not merging it.
  • Does the structured discussions grey box become active when the matching globalization checkbox is checked?
  • Signatures can't be globalized because the can contain local-wiki specific stuff, and e.g. l10n namespace names aren't global.

Ah, okay, makes sense.

  • For a bunch of these other items, I can see we're going to go further down the HTML table emulation route! :-) Which is fine, and we did a bit of the work for that earlier, but ended up not merging it.

Hmm, we might have to go down that route. Let's wait on the design review for it tomorrow.

  • Does the structured discussions grey box become active when the matching globalization checkbox is checked?

You're right it does. So we should disable the beta features checkboxes (not have them blue) if the global pref checkbox is not checked.

Niharika updated the task description. (Show Details)Feb 16 2018, 10:28 PM

Functionality wise it works great. I have one little suggestion. We should think about changing the local override string from
Set a local exception for this global preference
TO
This is set as a global preference. You can set a local override here.

I found the first one quite a bit confusing myself - it's definitely going to confuse users.
CC @TBolliger

Functionality wise it works great. I have one little suggestion. We should think about changing the local override string from
Set a local exception for this global preference
TO
This is set as a global preference. You can set a local override here.

I found the first one quite a bit confusing myself - it's definitely going to confuse users.
CC @TBolliger

Oh, good catch! I agree with your suggested wording.

We can probably hold off on browser/os/skin visual QA until we complete the suggestions from Prateek.

I also imagine there will be some other suggestions for other strings to update from Nirzar/Daisey/Prateek.

Niharika closed this task as Resolved.Feb 22 2018, 10:44 PM
Niharika moved this task from In Development to Q1 2018-19 on the Community-Tech-Sprint board.

I'm calling this done. I haven't found any other bugs. Waiting on the design team to create design tickets so we can move forward on that front.